This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 577489 (kwalletcli)

Summary: Review Request: kwalletcli - Command-Line Interface to the KDE Wallet
Product: [Fedora] Fedora Reporter: Sven Lankes <sven>
Component: Package ReviewAssignee: Julian Aloofi <julian.fedora>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, julian.fedora, kevin, notting, rdieter
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-25 14:23:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Sven Lankes 2010-03-27 09:21:46 EDT
Spec URL: http://sven.lank.es/Fedora/SPECS/kwalletcli.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/kwalletcli-2.0.2-1.fc13.src.rpm
Description: kwalletcli is a command-line interface to the KDE Wallet, (so shell scripts, Python, etc. do not need to use DCOP or D-Bus to access it to store passwords).
Comment 1 Sven Lankes 2010-03-27 12:42:36 EDT
Updated srpm so it also builds on 32bit.

Spec URL: http://sven.lank.es/Fedora/SPECS/kwalletcli.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/kwalletcli-2.0.2-2.fc13.src.rpm
Comment 2 Sven Lankes 2010-03-28 05:30:25 EDT
Add mksh as runtime-dep

Spec URL: http://sven.lank.es/Fedora/SPECS/kwalletcli.spec
SRPM URL: http://sven.lank.es/Fedora/SRPM/kwalletcli-2.0.2-3.fc13.src.rpm
Comment 3 Julian Aloofi 2010-03-28 06:20:46 EDT
$ rpmlint SPECS/kwalletcli.spec RPMS/i686/kwalletcli-* SRPMS/kwalletcli-2.0.2-3.fc12.src.rpm 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

MUST: rpmlint must be run on every package. The output should be posted in the review. OK
MUST: The package must be named according to the Package Naming Guidelines . OK
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. OK
MUST: The package must meet the Packaging Guidelines . OK
MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines . OK
MUST: The License field in the package spec file must match the actual license. OK
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc. NEEDSWORK
- The LICENCE file is not included in doc

MUST: The spec file must be written in American English. OK
MUST: The spec file for the package MUST be legible. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this. OK
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. OK
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. N/A
MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense. OK
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden. N/A
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. N/A
MUST: Packages must NOT bundle copies of system libraries. OK
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. N/A
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. OK
MUST: A Fedora package must not list a file more than once in the spec file's %files listings. OK
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. OK
MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). OK
MUST: Each package must consistently use macros. OK
MUST: The package must contain code, or permissable content. OK
MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). N/A
MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} N/A
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built. OK
MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. OK
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. OK
MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). OK
MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. N/A
SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. N/A
SHOULD: The reviewer should test that the package builds in mock. OK
SHOULD: The package should compile and build into binary rpms on all supported architectures. OK
- builds on all architectures for F12, F13 + Rawhide

SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example. OK
- runs fine in KDE

SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. OK
SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. OK
SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. N/A
SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. N/A
SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense. OK
Comment 4 Julian Aloofi 2010-04-29 13:06:31 EDT
To bump this up again, the only thing that's missing is the LICENCE file in %doc.
Comment 5 Rex Dieter 2010-04-29 14:32:55 EDT
Fwiw, 
Requires: kdebase
is probably not correct.

You probably want one of the following, depending on how this works:
1.  kdebase-workspace : if you want a kde desktop
2.  kdebase-runtime : if you're interested in the presence of kwalletd
3.  kdeutiuls : if you want kwalletmanager present

I'm guessing #2 is the most likely candidate.
Comment 6 Rex Dieter 2010-09-14 20:00:10 EDT
Sven, ping?  
(This sounds too cool to let it *not* get into fedora... :) )
Comment 7 Sven Lankes 2010-11-18 17:53:34 EST
I should have done this ages ago - sorry:

Spec URL: http://sven.lank.es/Fedora/SPECS/kwalletcli.spec
SRPM URL: http://sven.lank.es/Fedora/SRPMS/kwalletcli-2.0.3-1.fc14.src.rpm

Changes: new upstream release (minor fixes), LICENCE added to docs, requires fixed
Comment 8 Julian Aloofi 2011-02-01 09:23:26 EST
Sorry, must've missed the mail from bugzilla about the update, just found it again on my Front Page.
Anyway, the links don't work anymore. Do you still want it reviewed?
Comment 9 Rex Dieter 2012-03-27 12:13:16 EDT
ping Sven?
Comment 10 Rex Dieter 2012-09-25 14:23:38 EDT
OK, let's close this out for now, feel free to re-open if/when you're ready to continue with this review.